# 32/64bit spec-file
#
Summary:	A stand alone memory test for x86 and x86-64 architecture systems
Name:		memtest86+
Version:	4.20
Release:	%mkrel 2
License:	GPL
Source: 	%{name}-%{version}.tar.xz
# Temporal fix for 7th test failure
# Resolves: rhbz#805813
Patch0:		memtest86+-4.20-gcc47-test7-workaround.patch
URL:		http://www.memtest.org
Group:		System/Kernel and hardware
Summary:        Tool to test the memory of your PC
BuildRequires:	dev86
Requires:	initscripts, drakxtools-backend
Requires:       glibc >= 2.16
Requires:   	libstdc++6 >= 4.7.2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
ExclusiveArch:	%{ix86} x86_64
Obsoletes:	memtest86
Provides:	memtest86

%description
Memtest86 is thorough, stand alone memory test for x86 and x86-64
architecture systems. BIOS based memory tests are only a quick 
check and often miss failures that are detected by Memtest86.

%prep
%setup -q
%patch0 -p1 -b .gcc47-test7-workaround

%build
%make

%install
rm -rf %{buildroot}
mkdir %{buildroot}
install -m644 memtest.bin -D $RPM_BUILD_ROOT/boot/memtest-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%posttrans
if [ -x /usr/sbin/bootloader-config ]; then
    /usr/sbin/bootloader-config --action remove-entry --label memtest-%{version}
    /usr/sbin/bootloader-config --action add-entry --label memtest-%{version} --image /boot/memtest-%{version}
    sed -i -l 0 -e 's/kernel (hd\([0-9],[0-9]\{1,2\}\))\/boot\/memtest/kernel (hd\1)\/boot\/memtest/' /boot/grub/menu.lst
fi

%preun
if [ -x /usr/sbin/bootloader-config ]; then
    /usr/sbin/bootloader-config --action remove-entry --label memtest-%{version}
fi

%files
%defattr(-,root,root)
%doc FAQ
/boot/memtest-%{version}

%changelog
* Fri Jun 28 2013 Pinoc <vogtpet at gmail.com> 4.20-2pclos2013
- added 64bit support
- updated Req and BR
- added patch from Fedora
- compile from source
- changed post to posttrans to make grub entry work upon upgrade

* Mon May 16 2011 Pinoc <vogtpet at gmail.com> 4.20-1pclos2011
- updated to 4.20 and replaced patch with precompiled binary

* Sun Nov 07 2010 Texstar <texstar at gmail.com> 4.10-2pclos2010
- convert source to tar.xz


